/*
 *  Logo  ... use a custom
 *            graphics widget.
 *  See r3/.../clients/xlogo/xlogo.c
 *   for a "production" version.
 */

/* retrieve standard intrinsics header files */
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Cardinals.h>
#include <X11/Shell.h>

/* retrieve custom widget's public header file */
#include "Logo.h"

main (argc, argv)
  int    argc;
  char  *argv[];
{
  XtAppContext app_context;
  Display   * dpy;
  Widget    toplevel;
  Widget    logo_widget;

  /*
   * Initialize the toolkit
   */
  XtToolkitInitialize ();
  app_context = XtCreateApplicationContext ();
  dpy = XtOpenDisplay (app_context, "", "logo", "Logo",
                        NULL, ZERO, &argc, argv );
  toplevel = XtAppCreateShell ("logo", "Logo",
                        applicationShellWidgetClass, dpy,
                        NULL, ZERO );

  /*
   * create the logo widget
   */
  logo_widget = XtCreateManagedWidget
               ("logo", 
                logoWidgetClass,
                toplevel, NULL, ZERO );

  /*
   * realize the widget and enter the main loop
   */
  XtRealizeWidget (toplevel);
  XtAppMainLoop(app_context);
}
